stages:
  - build
  - docker

npm-build:
  image: node:9.11.1
  stage: build
  script:
    - npm run-script build

docker-build:
  image: docker:latest
  stage: docker
  dependencies:
    - npm-build
  script:
    - docker build -f Dockerfile .